# Define color schemes needed by various window types.
# Hexidecimal colors are in ARGB form. The Alpha byte does play a role in rendering.

set	scheme	"e93"
#								active		active		inactive	inactive	active		active		inactive	inactive
#								text		text		text		text		selection	selection	selection	selection
#								background	foreground	background	foreground	background	foreground	background	foreground
#								----------	----------	----------	----------	----------	----------	----------	----------
addcolorscheme		$scheme		FF07075A	white		FF07075A	white		yellow		black		FF909000	black
#													active		active		inactive	inactive	font	font
#								style number		background	foreground	background	foreground	bold	oblique
#								----------			----------	----------	----------	----------	-----	-------
colorschemestyle	$scheme		$style_comment		""			aquamarine	""			aquamarine	0		0
colorschemestyle	$scheme		$style_link			""			FF8080FF	""			FF8080FF	0		0
colorschemestyle	$scheme		$style_string		""			green		""			green		0		0
colorschemestyle	$scheme		$style_char			""			green		""			green		0		0
colorschemestyle	$scheme		$style_digit		""			orange		""			orange		0		0
colorschemestyle	$scheme		$style_operator		""			yellow		""			yellow		0		0
colorschemestyle	$scheme		$style_variable		""			cyan		""			cyan		0		0
colorschemestyle	$scheme		$style_value		""			FFFF00FF	""			FFFF00FF	1		0
colorschemestyle	$scheme		$style_delimiter	""			yellow		""			yellow		1		0
colorschemestyle	$scheme		$style_keyword		""			gold		""			gold		0		0
colorschemestyle	$scheme		$style_type			""			yellow		""			yellow		1		1
colorschemestyle	$scheme		$style_directive	""			cyan		""			cyan		1		0
colorschemestyle	$scheme		$style_function		""			lightblue	""			lightblue	1		0
colorschemestyle	$scheme		$style_label		""			FFF0FFA0	""			FFF0FFA0	0		0
colorschemestyle	$scheme		$style_local_label	""			cyan		""			cyan		0		0
colorschemestyle	$scheme		$style_bold			""			""			""			""			1		0

set	scheme	"Green"
#								active		active		inactive	inactive	active		active		inactive	inactive
#								text		text		text		text		selection	selection	selection	selection
#								background	foreground	background	foreground	background	foreground	background	foreground
#								----------	----------	----------	----------	----------	----------	----------	----------
addcolorscheme		$scheme		FF003530	white		FF003530	white		yellow		black		FF909000	black
#													active		active		inactive	inactive	font	font
#								style number		background	foreground	background	foreground	bold	oblique
#								----------			----------	----------	----------	----------	-----	-------
colorschemestyle	$scheme		$style_comment		""			FF00C57E	""			FF00C57E	0		0
colorschemestyle	$scheme		$style_link			""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_string		""			FF00A0F0	""			FF00A0F0	0		0
colorschemestyle	$scheme		$style_char			""			lightgreen	""			lightgreen	0		0
colorschemestyle	$scheme		$style_digit		""			tomato		""			tomato		0		0
colorschemestyle	$scheme		$style_operator		""			orange		""			orange		0		0
colorschemestyle	$scheme		$style_variable		""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_value		""			FFFF00FF	""			FFFF00FF	1		0
colorschemestyle	$scheme		$style_delimiter	""			yellow		""			yellow		1		0
colorschemestyle	$scheme		$style_keyword		""			FFB9B900	""			FFB9B900	0		0
colorschemestyle	$scheme		$style_type			""			orange		""			orange		0		1
colorschemestyle	$scheme		$style_directive	""			green		""			green		1		0
colorschemestyle	$scheme		$style_function		""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_label		""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_local_label	""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_bold			""			""			""			""			1		0

set	scheme	"Sublime"
#								active		active		inactive	inactive	active		active		inactive	inactive
#								text		text		text		text		selection	selection	selection	selection
#								background	foreground	background	foreground	background	foreground	background	foreground
#								----------	----------	----------	----------	----------	----------	----------	----------
addcolorscheme		$scheme		FF282923	FFF7F7F1	FF282923	FFF7F7F1	FF48473D	""			FF383830	""
#													active		active		inactive	inactive	font	font
#								style number		background	foreground	background	foreground	bold	oblique
#								----------			----------	----------	----------	----------	-----	-------
colorschemestyle	$scheme		$style_comment		""			FF74705D	""			FF74705D	0		0
colorschemestyle	$scheme		$style_link			""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_string		""			FFE7DB74	""			FFE7DB74	0		0
colorschemestyle	$scheme		$style_char			""			FFE7DB74	""			FFE7DB74	0		0
colorschemestyle	$scheme		$style_digit		""			FFAC80FF	""			FFAC80FF	0		0
colorschemestyle	$scheme		$style_operator		""			FFF7F7F1	""			FFF7F7F1	0		0
colorschemestyle	$scheme		$style_variable		""			FFF7F7F1	""			FFF7F7F1	0		0
colorschemestyle	$scheme		$style_value		""			FFAC80FF	""			FFAC80FF	0		0
colorschemestyle	$scheme		$style_delimiter	""			FFE7DB74	""			FFE7DB74	0		0
colorschemestyle	$scheme		$style_keyword		""			FFF92472	""			FFF92472	0		0
colorschemestyle	$scheme		$style_type			""			FF67D8EF	""			FF67D8EF	0		1
colorschemestyle	$scheme		$style_directive	""			green		""			green		0		0
colorschemestyle	$scheme		$style_function		""			FFA6E22C	""			FFA6E22C	0		0
colorschemestyle	$scheme		$style_label		""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_local_label	""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_bold			""			""			""			""			1		0

set	scheme	"Simple White"
#								active		active		inactive	inactive	active		active		inactive	inactive
#								text		text		text		text		selection	selection	selection	selection
#								background	foreground	background	foreground	background	foreground	background	foreground
#								----------	----------	----------	----------	----------	----------	----------	----------
addcolorscheme		$scheme		white		black		white		black		gray80		black		gray80		black
#													active		active		inactive	inactive	font	font
#								style number		background	foreground	background	foreground	bold	oblique
#								----------			----------	----------	----------	----------	-----	-------
colorschemestyle	$scheme		$style_comment		""			FF804000	""			FF804000	0		0
colorschemestyle	$scheme		$style_link			""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_string		""			maroon		""			maroon		0		0
colorschemestyle	$scheme		$style_char			""			maroon		""			maroon		0		0
colorschemestyle	$scheme		$style_digit		""			""			""			""			0		0
colorschemestyle	$scheme		$style_operator		""			""			""			""			0		0
colorschemestyle	$scheme		$style_variable		""			darkblue	""			darkblue	0		0
colorschemestyle	$scheme		$style_value		""			darkred		""			darkred		0		0
colorschemestyle	$scheme		$style_delimiter	""			""			""			""			0		0
colorschemestyle	$scheme		$style_keyword		""			blue		""			blue		0		0
colorschemestyle	$scheme		$style_type			""			blue		""			blue		0		1
colorschemestyle	$scheme		$style_directive	""			blue		""			blue		0		0
colorschemestyle	$scheme		$style_function		""			darkgreen	""			darkgreen	0		0
colorschemestyle	$scheme		$style_label		""			darkgreen	""			darkgreen	0		0
colorschemestyle	$scheme		$style_local_label	""			darkgreen	""			darkgreen	0		0
colorschemestyle	$scheme		$style_bold			""			""			""			""			1		0

## useful for looking at manual pages
set	scheme	"Man Page"
#								active		active		inactive	inactive	active		active		inactive	inactive
#								text		text		text		text		selection	selection	selection	selection
#								background	foreground	background	foreground	background	foreground	background	foreground
#								----------	----------	----------	----------	----------	----------	----------	----------
addcolorscheme		$scheme		darkblue	white		darkblue	white		yellow		black		FF909000	black
#													active		active		inactive	inactive	font	font
#								style number		background	foreground	background	foreground	bold	oblique
#								----------			----------	----------	----------	----------	-----	-------
colorschemestyle	$scheme		$style_comment		""			""			""			""			0		0
colorschemestyle	$scheme		$style_link			""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_string		""			""			""			""			0		1
colorschemestyle	$scheme		$style_char			""			""			""			""			0		0
colorschemestyle	$scheme		$style_digit		""			""			""			""			0		0
colorschemestyle	$scheme		$style_operator		""			""			""			""			0		0
colorschemestyle	$scheme		$style_variable		""			""			""			""			0		0
colorschemestyle	$scheme		$style_value		""			""			""			""			0		0
colorschemestyle	$scheme		$style_delimiter	""			""			""			""			0		0
colorschemestyle	$scheme		$style_keyword		""			yellow		""			yellow		1		0
colorschemestyle	$scheme		$style_type			""			""			""			""			0		0
colorschemestyle	$scheme		$style_directive	""			""			""			""			0		0
colorschemestyle	$scheme		$style_function		""			""			""			""			0		0
colorschemestyle	$scheme		$style_label		""			""			""			""			0		0
colorschemestyle	$scheme		$style_local_label	""			""			""			""			0		0
colorschemestyle	$scheme		$style_bold			""			""			""			""			1		0
colorschemestyle	$scheme		$style_indent0		""			""			""			aquamarine	0		0
colorschemestyle	$scheme		$style_indent1		""			""			""			aquamarine	0		0
colorschemestyle	$scheme		$style_indent2		""			""			""			aquamarine	0		0
colorschemestyle	$scheme		$style_indent3		""			""			""			aquamarine	0		0
colorschemestyle	$scheme		$style_indent4		""			""			""			aquamarine	0		0

## used when opening windows which are low-priority (like clipboards and temporary buffers)
set	scheme	"Low Priority"
#								active		active		inactive	inactive	active		active		inactive	inactive
#								text		text		text		text		selection	selection	selection	selection
#								background	foreground	background	foreground	background	foreground	background	foreground
#								----------	----------	----------	----------	----------	----------	----------	----------
addcolorscheme		$scheme		black		white		black		white		FF505090	""			FF505090	""
#													active		active		inactive	inactive	font	font
#								style number		background	foreground	background	foreground	bold	oblique
#								----------			----------	----------	----------	----------	-----	-------
colorschemestyle	$scheme		$style_comment		""			aquamarine	""			aquamarine	0		0
colorschemestyle	$scheme		$style_link			""			lightblue	""			lightblue	0		0
colorschemestyle	$scheme		$style_string		""			green		""			green		0		0
colorschemestyle	$scheme		$style_char			""			green		""			green		0		0
colorschemestyle	$scheme		$style_digit		""			orange		""			orange		0		0
colorschemestyle	$scheme		$style_operator		""			yellow		""			yellow		0		0
colorschemestyle	$scheme		$style_variable		""			cyan		""			cyan		0		0
colorschemestyle	$scheme		$style_value		""			gold		""			gold		0		0
colorschemestyle	$scheme		$style_delimiter	""			yellow		""			yellow		1		0
colorschemestyle	$scheme		$style_keyword		""			yellow		""			yellow		1		0
colorschemestyle	$scheme		$style_type			""			yellow		""			yellow		0		1
colorschemestyle	$scheme		$style_directive	""			cyan		""			cyan		1		0
colorschemestyle	$scheme		$style_function		""			orange		""			orange		0		0
colorschemestyle	$scheme		$style_label		""			orange		""			orange		0		0
colorschemestyle	$scheme		$style_local_label	""			orange		""			orange		0		0
colorschemestyle	$scheme		$style_bold			""			""			""			""			1		0
