# Set fonts and colors for theme

set	backgroundColor			FF718FAE
set	itemBackgroundColor		FFC0C0D0
set	outlineColor			FF404040

menucolorsset				$backgroundColor FF000000 FFFFFFFF FFFFFFFF FF000000
menufontset					"dejavu sans:size=12";					# font for the menus

dialogcolorsset				$backgroundColor
dialogstatictextcolorsset	FF000000
dialogtextboxcolorsset		$outlineColor $backgroundColor
dialoglistboxcolorsset		$itemBackgroundColor FF000000 $outlineColor $itemBackgroundColor FF606060 $backgroundColor
dialogcheckboxcolorsset		$itemBackgroundColor FF000000 $itemBackgroundColor FF606060
dialogpopupcolorsset		$itemBackgroundColor FF000000 $itemBackgroundColor FF606060 FF000000
dialogbuttoncolorsset		$itemBackgroundColor FF000000 $itemBackgroundColor FF666666 FF666666 FF000000 FF000000

dialogstatictextfontset		"dejavu sans condensed:size=12";		# default font for dialog static text items
dialogtextboxfontset		"liberation mono:size=9";				# default font for dialog text box contents
dialoglistboxfontset		"dejavu sans condensed:size=10";		# default font for dialog list box contents
dialogcheckboxfontset		"dejavu sans condensed:size=11:bold";	# default font for dialog check box items
dialogpopupfontset			"dejavu sans condensed:size=11:bold";	# default font for dialog popup items
dialogbuttonfontset			"dejavu sans condensed:size=12";		# default font for dialog buttons

statusbarcolorsset			$backgroundColor FF000000 yellow
statusbarfontset			"dejavu sans condensed:size=11";		# font for the status bar

set	scheme	"_dialogFind"
#								active					active		inactive				inactive	active		active					inactive	inactive
#								text					text		text					text		selection	selection				selection	selection
#								background				foreground	background				foreground	background	foreground				background	foreground
#								----------				----------	----------				----------	----------	----------				----------	----------
addcolorscheme		$scheme		$itemBackgroundColor	FF000000	$itemBackgroundColor	FF606060	FF000000	$itemBackgroundColor	FF606060	$itemBackgroundColor

set	scheme	"_dialogReplace"
#								active					active		inactive				inactive	active		active					inactive	inactive
#								text					text		text					text		selection	selection				selection	selection
#								background				foreground	background				foreground	background	foreground				background	foreground
#								----------				----------	----------	----------	----------	----------	----------				----------	---------
addcolorscheme		$scheme		$itemBackgroundColor	FF000000	$itemBackgroundColor	FF606060	FF000000	$itemBackgroundColor	FF606060	$itemBackgroundColor

set	scheme	"_dialogSimpleText"
#								active					active		inactive				inactive	active		active					inactive	inactive
#								text					text		text					text		selection	selection				selection	selection
#								background				foreground	background				foreground	background	foreground				background	foreground
#								----------				----------	----------				----------	----------	----------				----------	----------
addcolorscheme		$scheme		$itemBackgroundColor	FF000000	$itemBackgroundColor	FF606060	FF000000	$itemBackgroundColor	FF606060	$itemBackgroundColor

set	scheme	"_dialogFileName"
#								active					active		inactive				inactive	active		active					inactive	inactive
#								text					text		text					text		selection	selection				selection	selection
#								background				foreground	background				foreground	background	foreground				background	foreground
#								----------				----------	----------				----------	----------	----------				----------	----------
addcolorscheme		$scheme		$itemBackgroundColor	FF000000	$itemBackgroundColor	FF606060	FF000000	$itemBackgroundColor	FF606060	$itemBackgroundColor
