// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

#define	H_SCROLL_MAX_WIDTH		32767	// maximum width handled by the horizontal scroll bar

void DocumentWindowStatusBarColorsGet(EDITOR_COLOR *backgroundColor,EDITOR_COLOR *foregroundColor,EDITOR_COLOR *flagActiveColor);
void DocumentWindowStatusBarColorsSet(EDITOR_COLOR backgroundColor,EDITOR_COLOR foregroundColor,EDITOR_COLOR flagActiveColor);
const char *DocumentWindowStatusBarFontGet();
void DocumentWindowStatusBarFontSet(const char *fontName);
void DocumentWindowScrollEditViewEvent(EDITOR_VIEW *view,uint32_t vKeyCode,bool repeating);
void PlatformDocumentWindowUnminimize(EDITOR_WINDOW *window);
void PlatformDocumentWindowMinimize(EDITOR_WINDOW *window);
EDITOR_BUFFER *PlatformDocumentWindowBufferGet(EDITOR_WINDOW *window);
EDITOR_WINDOW *PlatformDocumentWindowLocate(EDITOR_BUFFER *buffer);
EDITOR_WINDOW *PlatformDocumentWindowActiveGet();
EDITOR_WINDOW *PlatformDocumentWindowTopGet();
void PlatformDocumentWindowTopSet(EDITOR_WINDOW *window);
bool PlatformDocumentWindowSortedListGet(uint32_t *numElements,EDITOR_WINDOW ***list);
EDITOR_VIEW *PlatformDocumentWindowCurrentViewGet(EDITOR_WINDOW *window);
bool PlatformDocumentWindowTitleGet(EDITOR_WINDOW *window,char *title,uint32_t stringBytes);
bool PlatformDocumentWindowTitleSet(EDITOR_WINDOW *window,const char *title);
bool PlatformDocumentWindowRectGet(EDITOR_WINDOW *window,EDITOR_RECT *rect);
bool PlatformDocumentWindowRectSet(EDITOR_WINDOW *window,EDITOR_RECT *rect);
void PlatformDocumentWindowClose(EDITOR_WINDOW *window);
EDITOR_WINDOW *PlatformDocumentWindowOpen(EDITOR_BUFFER *buffer,EDITOR_RECT *rect,const char *title,bool useUtf8,uint32_t tabSize,const char *fontName,const char *colorSchemeName);
void DocumentWindowUnInit();
bool DocumentWindowInit();
