// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

uint32_t XStateToEditorModifiers(unsigned int state);
bool KeyEventToEditorKey(XKeyEvent *event,EDITOR_KEY *editorKey);
void EditorWindowsUpdate();
void CursorBlinkTimeReset();
Bool XCheckIfEventTimed(Display *display,XEvent *event_return,Bool (*predicate)(Display *,XEvent *,XPointer),XPointer arg,uint32_t milliseconds);
uint8_t MultipleClicksHandle(XEvent *event);
void MultipleClicksReset();
void EditorDoBackground(uint32_t eventWaitTime);
bool StillDown(Window xWindow,unsigned int button,int *rootX,int *rootY,int *windowX,int *windowY);
void EventLocalLoop(bool *done,EDITOR_WINDOW *modalWindow);
uint32_t EventLastUserEventTime();
uint32_t KeyCommandModifierGet();
void KeyCommandModifierSet(uint32_t index);
uint32_t PlatformRemapEditorModifiers(uint32_t modifiersIn);
bool PlatformKeyNameToKeyCode(const char *name,uint32_t *keyCode);
const char *PlatformKeyCodeToKeyName(uint32_t keyCode);
bool PlatformKeyPressGet(EDITOR_KEY *editorKey,bool wait,bool clearBuffered);
void PlatformEventLoop(int argc,char *argv[]);
void PlatformQuit();
void PlatformEventsAbortClear();
bool PlatformEventsAbortCheck();
uint32_t PlatformMonotonicTime();
void EventsUnInit();
bool EventsInit();
