// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

void PathAndFileSplit(char *fullPath,char *pathPart,char *filePart);
void PathAndFileConcat(const char *path,const char *file,char *result);
void StringListFree(char **list);
void StringListSort(char **list,uint32_t numElements);
bool StringListReplace(const char *string,char **list,uint32_t element);
bool StringListAdd(const char *string,char ***list,uint32_t *numElements);
char **StringListNew();
char **Glob(const char *path,const char *pattern,bool dontGlobLast,bool passNoMeta,uint32_t *numElements);
char **GlobAll(const char *path,uint32_t *numElements);
