// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

EDITOR_MENU *MenuKeyEventLocate(uint32_t modifiers,uint32_t keyCode);
void MenuCommandKeyChange();
void MenuColorsGet(EDITOR_COLOR *backgroundColor,EDITOR_COLOR *foregroundColor,EDITOR_COLOR *keyColor,EDITOR_COLOR *shadowTopColor,EDITOR_COLOR *shadowBottomColor);
void MenuColorsSet(EDITOR_COLOR backgroundColor,EDITOR_COLOR foregroundColor,EDITOR_COLOR keyColor,EDITOR_COLOR shadowTopColor,EDITOR_COLOR shadowBottomColor);
const char *MenuFontGet();
void MenuFontSet(const char *fontName);
void MenuRootMove(int32_t x,int32_t y);
void MenuRootRaise();
EDITOR_MENU *PlatformMenuRelatedGet(EDITOR_MENU *menu,int menuRelationship);
void PlatformMenuActiveSet(EDITOR_MENU *menu,bool active);
char *PlatformMenuNameGet(EDITOR_MENU *menu);
bool PlatformMenuNameSet(EDITOR_MENU *menu,const char *name);
char *PlatformMenuAttributesGet(EDITOR_MENU *menu);
bool PlatformMenuAttributesSet(EDITOR_MENU *menu,const char *attributes);
char *PlatformMenuDataTextGet(EDITOR_MENU *menu);
bool PlatformMenuDataTextSet(EDITOR_MENU *menu,const char *dataText);
bool PlatformMenuGet(int argc,const char *argv[],EDITOR_MENU **menu);
void PlatformMenuDispose(EDITOR_MENU *menu);
EDITOR_MENU *PlatformMenuCreate(int argc,const char *argv[],int menuRelationship,const char *name,const char *attributes,const char *dataText,bool active);
void MenuUnInit();
bool MenuInit();
