// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

char *realpath2(const char *path,char *outputPath);
bool PointInRect(int32_t x,int32_t y,EDITOR_RECT *rect);
void GlobalToLocal(Window xWindow,int32_t x,int32_t y,int32_t *outX,int32_t *outY);
void LocalToGlobal(Window xWindow,int32_t x,int32_t y,int32_t *outX,int32_t *outY);
void ShadowRectangleOutline(GUI_IMAGE *imageBuffer,EDITOR_RECT *rect,EDITOR_COLOR upperLeftColor,EDITOR_COLOR lowerRightColor,uint32_t thickness);
const char *PlatformVersionGet();
void PlatformBeep();
void PlatformMessageReport(const char *format,...);
void PlatformBusyShow();
void PlatformBusyUnShow();
char *PlatformWindowTitleFromPathCreate(const char *absolutePath);
char *PlatformAbsolutePathCreate(const char *relativePath);
bool PlatformStartupScriptLocate(char *scriptPath);
bool PlatformFileRead(EDITOR_FILE *file,uint8_t *buffer,uint64_t bytesToRead,uint64_t *bytesRead);
bool PlatformFileWrite(EDITOR_FILE *file,uint8_t *buffer,uint64_t bytesToWrite,uint64_t *bytesWritten);
void PlatformFileClose(EDITOR_FILE *file);
EDITOR_FILE *PlatformFileReadOpen(const char *path);
EDITOR_FILE *PlatformFileWriteOpen(const char *path);
