// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

int TaskOutputFileDescriptor(EDITOR_TASK *task);
EDITOR_TASK *TaskNext(EDITOR_TASK *task);
EDITOR_TASK *TaskFirst();
bool PlatformTaskDataRead(EDITOR_TASK *task,uint8_t *buffer,uint64_t bufferLength,uint64_t *bytesRead);
bool PlatformTaskStatus(EDITOR_TASK *task,const char **terminationString);
bool PlatformTaskEofWrite(EDITOR_TASK *task);
bool PlatformTaskDataWrite(EDITOR_TASK *task,const uint8_t *data,uint64_t numBytes);
const char *PlatformTaskCommandLineGet(EDITOR_TASK *task);
void PlatformTaskKill(EDITOR_TASK *task);
void PlatformTaskDisconnect(EDITOR_TASK *task);
EDITOR_TASK *PlatformTaskSpawn(const uint8_t *commandLine);
void TasksUnInit();
bool TasksInit();
