// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

typedef struct codePointList CODE_POINT_LIST;

bool CodePointListTest(CODE_POINT_LIST *codePointList,uint32_t position);
bool CodePointListTestAtOrAfterPositionGet(CODE_POINT_LIST *codePointList,uint32_t position,uint32_t *startPosition,uint64_t *numElements);
bool CodePointListRangeClear(CODE_POINT_LIST *codePointList,uint32_t startPosition,uint64_t numElements);
bool CodePointListRangeSet(CODE_POINT_LIST *codePointList,uint32_t startPosition,uint64_t numElements);
bool CodePointListsOr(CODE_POINT_LIST *destCodePointList,CODE_POINT_LIST *sourceCodePointList);
void CodePointListDispose(CODE_POINT_LIST *codePointList);
CODE_POINT_LIST *CodePointListCreate();
