// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

typedef struct namedList NAMED_LIST;		// opaque data structures
typedef struct namedListItem NAMED_LIST_ITEM;

void *NamedListItemDataGet(NAMED_LIST_ITEM *namedListItem);
void NamedListItemDataSet(NAMED_LIST_ITEM *namedListItem,void *data);
const char *NamedListItemNameGet(NAMED_LIST_ITEM *namedListItem);
NAMED_LIST_ITEM *NamedListItemLocateNextName(NAMED_LIST_ITEM *listItem,const char *name);
NAMED_LIST_ITEM *NamedListItemLocateName(NAMED_LIST *namedList,const char *name);
NAMED_LIST_ITEM *NamedListItemLocateNext(NAMED_LIST_ITEM *namedListItem);
NAMED_LIST_ITEM *NamedListItemLocateFirst(NAMED_LIST *namedList);
void NamedListItemDestroy(NAMED_LIST *namedList,NAMED_LIST_ITEM *namedListItem);
NAMED_LIST_ITEM *NamedListItemCreate(NAMED_LIST *namedList,const char *name);
void NamedListDestroy(NAMED_LIST *namedList);
NAMED_LIST *NamedListCreate();
