// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

#define	PATH_SEP					'/'			// path separation character

// some default colors (in EDITOR_COLOR representation)
#define	BLACK						0xFF000000
#define	GRAY_0						0xFF333333	// default gray colors
#define	GRAY_1						0xFF666666
#define	GRAY_2						0xFF999999
#define	GRAY_3						0xFFCCCCCC
#define	WHITE						0xFFFFFFFF

#define	BACKGROUND_COLOR			0xFF718FAE	// default color to use for menu/dialog backgrounds
#define	SCROLL_BAR_BACKGROUND		0xFF868693

// editor window types
enum
{
	EWT_DOCUMENT,				// an actual window used to edit text
	EWT_DIALOG,					// a dialog window
	EWT_MENU,					// menu window
	EWT_TRANSIENT,				// transient window (used for popups)
};
