// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

void StyleRangeDelete(STYLE_UNIVERSE *universe,uint64_t startPosition,uint64_t numElements);
bool StyleRangeInsert(STYLE_UNIVERSE *universe,uint64_t startPosition,uint64_t numElements);
bool StyleRangeGet(STYLE_UNIVERSE *universe,uint64_t position,uint64_t *startPosition,uint64_t *numElements,uint32_t *style);
bool StyleAtPositionGet(STYLE_UNIVERSE *universe,uint64_t position,uint32_t *style);
bool StyleRangeClear(STYLE_UNIVERSE *universe,uint64_t startPosition,uint64_t numElements);
bool StyleRangeSet(STYLE_UNIVERSE *universe,uint64_t startPosition,uint64_t numElements,uint32_t style);
void StylesAdjustForChange(STYLE_UNIVERSE *universe,uint64_t startOffset,uint64_t oldEndOffset,uint64_t newEndOffset);
bool StyleCopy(STYLE_UNIVERSE *sourceUniverse,uint64_t sourceOffset,STYLE_UNIVERSE *destUniverse,uint64_t destOffset,uint64_t numElements);
void StyleUniverseClose(STYLE_UNIVERSE *universe);
STYLE_UNIVERSE *StyleUniverseOpen();
