// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

void UndoGroupBegin(EDITOR_BUFFER *buffer);
void UndoGroupEnd(EDITOR_BUFFER *buffer);
void UndoGroupEndStrict(EDITOR_BUFFER *buffer);
bool UndoDeleteRegister(EDITOR_BUFFER *buffer,uint64_t startPosition,uint64_t numBytes,bool allowMerge);
bool UndoInsertRegister(EDITOR_BUFFER *buffer,uint64_t startPosition,uint64_t numBytes,bool allowMerge);
bool EditorUndo(EDITOR_BUFFER *buffer,bool *didSomething);
bool EditorRedo(EDITOR_BUFFER *buffer,bool *didSomething);
bool EditorUndoToggle(EDITOR_BUFFER *buffer,bool *didSomething);
void EditorUndoClear(EDITOR_BUFFER *buffer);
void UndoCleanPointSet(EDITOR_BUFFER *buffer);
bool UndoCleanPointAt(EDITOR_BUFFER *buffer);
void UndoUniverseClose(UNDO_UNIVERSE *universe);
UNDO_UNIVERSE *UndoUniverseOpen();
