// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

typedef struct variableBinding VARIABLE_BINDING;

char *VariableBindingNameGet(VARIABLE_BINDING *binding);
char *VariableBindingTextGet(VARIABLE_BINDING *binding);
VARIABLE_BINDING *VariableBindingNextLocate(VARIABLE_BINDING *currentBinding);
VARIABLE_BINDING *VariableBindingLocate(VARIABLE_TABLE *variableTable,char *variableName);
bool VariableBindingDelete(VARIABLE_TABLE *variableTable,char *variableName);
bool VariableBindingCreate(VARIABLE_TABLE *variableTable,char *variableName,char *variableText);
bool VariableBindingTableInit(VARIABLE_TABLE *variableTable);
void VariableBindingTableUnInit(VARIABLE_TABLE *variableTable);
