// This file is part of e93.
//
// e93 is free software; you can redistribute it and/or modify
// it under the terms of the e93 LICENSE AGREEMENT.
//
// e93 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// e93 LICENSE AGREEMENT for more details.
//
// You should have received a copy of the e93 LICENSE AGREEMENT
// along with e93; see the file "LICENSE.TXT".

void ViewColorSchemeStyleDrawColorsGet(const VIEW_COLOR_SCHEME *colorScheme,uint32_t style,bool active,EDITOR_COLOR *backgroundColor,EDITOR_COLOR *foregroundColor);
void ViewColorSchemeStyleDrawColorsSet(VIEW_COLOR_SCHEME *colorScheme,uint32_t style,bool active,EDITOR_COLOR backgroundColor,EDITOR_COLOR foregroundColor);
void ViewColorSchemeStyleFontAttributesGet(const VIEW_COLOR_SCHEME *colorScheme,uint32_t style,bool *bold,bool *oblique);
void ViewColorSchemeStyleFontAttributesSet(VIEW_COLOR_SCHEME *colorScheme,uint32_t style,bool bold,bool oblique);
void ViewColorSchemeSelectionColorsGet(const VIEW_COLOR_SCHEME *colorScheme,bool active,EDITOR_COLOR *backgroundColor,EDITOR_COLOR *foregroundColor);
void ViewColorSchemeSelectionColorsSet(VIEW_COLOR_SCHEME *colorScheme,bool active,EDITOR_COLOR backgroundColor,EDITOR_COLOR foregroundColor);
void ViewColorSchemeDrawColorsGet(const VIEW_COLOR_SCHEME *colorScheme,bool active,EDITOR_COLOR *backgroundColor,EDITOR_COLOR *foregroundColor);
void ViewColorSchemeDrawColorsSet(VIEW_COLOR_SCHEME *colorScheme,bool active,EDITOR_COLOR backgroundColor,EDITOR_COLOR foregroundColor);
void ViewColorSchemeDestroy(VIEW_COLOR_SCHEME *colorScheme);
VIEW_COLOR_SCHEME *ViewColorSchemeCreate();
VIEW_COLOR_SCHEME *ViewColorSchemeDuplicate(const VIEW_COLOR_SCHEME *original);
const char *ViewColorSchemeListNameGet(VIEW_COLOR_SCHEME *colorScheme);
VIEW_COLOR_SCHEME *ViewColorSchemeListLocate(const char *name);
VIEW_COLOR_SCHEME *ViewColorSchemeListLocateNext(VIEW_COLOR_SCHEME *colorScheme);
VIEW_COLOR_SCHEME *ViewColorSchemeListLocateFirst();
void ViewColorSchemeListRemove(VIEW_COLOR_SCHEME *colorScheme);
bool ViewColorSchemeListAdd(VIEW_COLOR_SCHEME *colorScheme,const char *listName);
void ViewColorSchemeUnInit();
bool ViewColorSchemeInit();
